Skip to content

Return the current rule evaluation context for locally executed backend-compiled rule plans.

GET
/api/workspace/entity/{entityIdOrKey}/ui/rule-evaluation-context
curl --request GET \
--url https://example.com/api/workspace/entity/example/ui/rule-evaluation-context
  • None
entityIdOrKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}